I need help upgrading to 2.1!

Discussion in 'iPhone Tips, Help and Troubleshooting' started by DeejayPancake, Dec 31, 2008.

  1. DeejayPancake macrumors member

    Joined:
    Jul 23, 2008
    Location:
    Palm Bay, FL
    #1
    Hey guys,

    I own an 8GB 1st Gen iPhone that is still running on 1.1.4... I was eyeballing apps the other day and noticed that some of the apps I heard were great need 2.1 in order to work. I'm way too nervous to upgrade without a "step-by-step for idiots" guide to upgrading to 2.1. I'd really like it if someone could provide it for me.

    I already downloaded the 2.1 firmwire, but what do I need as far as programs and itunes? I run a Windows PC, btw... Not a MAC. Dunno if you need to know that or not.
     
  2. DeejayPancake thread starter macrumors member

    Joined:
    Jul 23, 2008
    Location:
    Palm Bay, FL
    #2
    I got 2.1 on there (GASP!)

    But I'm a T-Mobile user and it's not detecting it... How I fixed this in the past is deleting the baseband. Ziphone?
     
  3. fireshot91 macrumors 601

    fireshot91

    Joined:
    Jul 31, 2008
    Location:
    Northern VA
    #3
    google: Quickpwn

    Download the bootloaders for it, and then when going through that, check the Activate box. You don't need to change the boot image, so keep that the reg. apple logo
     
  4. neesh0 macrumors 6502a

    neesh0

    Joined:
    Sep 6, 2008
    Location:
    Toronto, Ontario
    #4
    do not use ziphone, update the phone to 2.2 (it has fewer bugs than 2.1) then use quick pwn to unlock and jailbreak the phone.
     
  5. DeejayPancake thread starter macrumors member

    Joined:
    Jul 23, 2008
    Location:
    Palm Bay, FL
    #5
    Got everything to work great, except....

    Installer and Cydia don't seem to have as many apps in there as there was back in 1.1.4 for me... This means I can't get SMBPref to get the Buuf theme I had (and severely miss). So, can someone inform me? ):

    Thanks.
     

Share This Page